# Electricity Bill Verification

Instantly verify customer identities by cross-checking electricity bill details to ensure authenticity and reduce fraud.

## `electricity_bill_verification`

`POST` `https://secctrl.tutelar.io/api/v1/services/business_profile/electricity_bill_verification`

### Sample Request Body

| Body               | Type   | Mandatory | Description                                                                                                                                          |
| ------------------ | ------ | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| `customer_id`      | string | Yes       | Unique Customer ID allotted to the customer by each Electricity Distribution Company                                                                 |
| `service_provider` | string | Yes       | The Electricity Distribution Company for which the bill or customer is to be authenticated (Refer Table below for list of covered service providers) |
| `consent`          | string | Yes       | Consent is required to make the API request                                                                                                          |
| `mobile_number`    | string | No        | Registered mobile number. Field is mandatory for code - KERALA                                                                                       |

### Service Code Provider

| State or UT      | Service Provider                                                                   | Code              |
| ---------------- | ---------------------------------------------------------------------------------- | ----------------- |
| Andhra Pradesh   | Southern Power Distribution Company of Andhra Pradesh Limited                      | APSPDCL           |
| Andhra Pradesh   | Eastern Power Distribution Company of Andhra Pradesh Limited                       | APEPDCL           |
| Assam            | Assam Power Distribution Company Limited                                           | APDCL             |
| Bihar            | North Bihar Power Distribution Company Limited                                     | NBPDCL            |
| Bihar            | South Bihar Power Distribution Company Limited                                     | SBPDCL            |
| Calcutta         | Calcutta Electric Supply Corporation Limited                                       | CESC              |
| Chandigarh       | Chandigarh Electricity Department                                                  | CH\_ELEC          |
| Chhattisgarh     | Chhattisgarh State Power Distribution Company Limited                              | CSPDCL            |
| Daman & Diu      | Daman and Diu Electricity Department                                               | DAMAN\_DIU        |
| Delhi            | Tata Power Delhi Distribution                                                      | TATA\_DL          |
| Delhi            | BSES Yamuna Power Ltd / BSES Rajdhani Power Ltd                                    | BSES\_DL          |
| Goa              | Goa Electricity- for Tisvadi, Ponda & Verna                                        | GOA\_ELEC         |
| Goa              | Goa Electricity- for others                                                        | UPAY\_GOA         |
| Gujarat          | Uttar Gujarat VIJ Company Ltd.                                                     | UGVCL             |
| Gujarat          | Pashchim Gujarat VIJ Company Ltd.                                                  | PGVCL             |
| Gujarat          | Madhya Gujarat VIJ Company Limited                                                 | MGVCL             |
| Gujarat          | Dakshin Gujarat VIJ Company Limited                                                | DGVCL             |
| Gujarat          | Torrent Power Limited - Ahmedabad                                                  | TORRENT\_AHD      |
| Gujarat          | Torrent Power Limited - Surat                                                      | TORRENT\_SURAT    |
| Gujarat          | Torrent Power Limited - Agra                                                       | TORRENT\_AGRA     |
| Gujarat          | Torrent Power Limited - Bhiwandi                                                   | TORRENT\_BHIWANDI |
| Gujarat          | Torrent Power Limited - Dahej                                                      | TORRENT\_DAHEJ    |
| Haryana          | Dakshin Haryana Bijli Vitran Nigam                                                 | DHBVN             |
| Haryana          | Uttar Haryana Bijli Vitran Nigam                                                   | UHBVN             |
| Himachal Pradesh | Himachal Pradesh State Electricity Board Ltd                                       | HPSEB             |
| Jharkhand        | Jharkhand Bijli Vitran Nigam Limited                                               | JBVNL             |
| Karnataka        | Mangalore Electricity Supply Company Limited                                       | MESCOM            |
| Karnataka        | Bangalore Electricity Supply Company Ltd                                           | BESCOM            |
| Karnataka        | Chamundeshwari Electricity Supply Company Limited Mysore                           | CESCOM            |
| Karnataka        | Gulbarga Electricity Supply Company Limited                                        | GESCOM            |
| Karnataka        | Hubli Electricity Supply Company Limited                                           | HESCOM            |
| Kerala           | Kerala State Electricity Board                                                     | KERALA            |
| Madhya Pradesh   | Madhya Pradesh Paschim Kshetra Vidyut Vitran Company Limited                       | MPWZ              |
| Madhya Pradesh   | Madhya Pradesh Madhya Kshetra Vidyut Vitran Company Limited                        | MPCZ              |
| Madhya Pradesh   | Madhya Pradesh Poorv Kshetra Vidyut Vitran Company Limited                         | MPEZ              |
| Maharashtra      | TATA-Power - Mumbai                                                                | TATA\_MUMBAI      |
| Maharashtra      | MAHAVITARAN-Maharashtra State Electricity Distribution Co. Ltd (MSEDCL)            | MAHAVITRAN        |
| Maharashtra      | Brihanmumbai Electric Supply & Transport Undertaking for Greater Mumbai (BEST\_MH) | BEST\_MH          |
| Meghalaya        | Meghalaya Energy Corporation Limited                                               | MeECL             |
| Orissa           | Supply Company of Orissa Limited (North, South, West, Central)                     | ORISSA            |
| Punjab           | Punjab State Power Corporation Limited                                             | PSPCL             |
| Rajasthan        | Jaipur Vidhyut Vitran Nigam Ltd                                                    | JAIPUR            |
| Rajasthan        | Ajmer Vidhyut Vitran Nigam Ltd                                                     | AJMER             |
| Rajasthan        | Jodhpur Vidhyut Vitran Nigam Ltd                                                   | JODHPUR           |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Chennai\_North        | CHENNAI\_NORTH    |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Villupuram            | VILLUPURAM        |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Coimbatore            | COIMBATORE        |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Erode                 | ERODE             |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Madurai               | MADURAI           |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Trichy                | TRICHY            |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Tirunelvel            | TIRUNELVEL        |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Vellore               | VELLORE           |
| Tamil Nadu       | Tamil Nadu Generation and Distribution Corporation Limited - Chennai\_South        | CHENNAI\_SOUTH    |
| Telangana        | The Southern Power Distribution Company of Telangana Limited                       | TSSPCL            |
| Tripura          | Tripura State Electricity Corporation Limited                                      | TRIPURA           |
| Uttar Pradesh    | Kanpur Electricity Supply Company                                                  | KESCO             |
| Uttar Pradesh    | UP Vidyut Vitran Nigam Limited (All Zones)                                         | UPPCL             |
| WEST BENGAL      | WEST BENGAL STATE ELECTRICITY DISTRIBUTION COMPANY LIMITED                         | WBENGAL           |

### Sample Post Parameters

```json
{
    "consumer_id": "0958400XXX",
    "service_provider": "CHENNAI_SOUTH",
    "consent": "Y",
    "mobile_number": "987654XXXX"
}
```

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "13c09db3-ba60-4bfd-9c77-552c2b53eb45",
    "status": "completed",
    "result": {
        "consumer_name": "M MUNIRAMAIAH",
        "bill_no": "xxxxxxxxxx",
        "bill_due_date": "01-03-2026",
        "consumer_number": "xxxxxxxxxx",
        "bill_amount": "Rs.4739",
        "bill_issue_date": "01-02-2026",
        "amount_payable": "Rs.4739",
        "total_amount": "Rs.4739",
        "bill_date": "01-02-2026",
        "address": "J abc abc, - - 560102. KAR, IND",
        "email_address": "abc@gmail.com",
        "mobile_number": "xxxxxxxxxx"
    },
    "requested_at": "2026-03-03T07:10:01.373Z",
    "completed_at": "2026-03-03T07:10:02.310Z"
}
```

### 400: Validation Error Response

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Consumer ID should not be empty",
        "field": "consumer_id",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Service Provider should not be empty",
        "field": "service_provider",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Service Provider Code",
        "field": "service_provider",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "consent should not be empty!",
        "field": "consent",
        "code": "BAD_REQUEST"
    }
}
```

### 200: In progress

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
    "status": "in_progress",
    "requested_at": "2026-03-03T14:40:18.115Z"
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "96a7dad5-d7c7-4348-9baf-7f38c3e19efd",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-03-03T09:59:51.738Z",
    "completed_at": "2026-03-03T09:59:54.317Z"
}
```

## Get details

`GET` `https://secctrl.tutelar.io/api/v1/services/business_profile/electricity_bill_verification`

### Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "13c09db3-ba60-4bfd-9c77-552c2b53eb45",
    "status": "completed",
    "result": {
        "consumer_name": "M MUNIRAMAIAH",
        "bill_no": "xxxxxxxxxx",
        "bill_due_date": "01-03-2026",
        "consumer_number": "xxxxxxxxxx",
        "bill_amount": "Rs.4739",
        "bill_issue_date": "01-02-2026",
        "amount_payable": "Rs.4739",
        "total_amount": "Rs.4739",
        "bill_date": "01-02-2026",
        "address": "J abc abc, - - 560102. KAR, IND",
        "email_address": "abc@gmail.com",
        "mobile_number": "xxxxxxxxxx"
    },
    "requested_at": "2026-03-03T07:10:01.373Z",
    "completed_at": "2026-03-03T07:10:02.310Z"
}
```

### 200: Inprogress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
    "status": "in_progress",
    "requested_at": "2026-03-03T14:40:18.115Z"
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "96a7dad5-d7c7-4348-9baf-7f38c3e19efd",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-03-03T09:59:51.738Z",
    "completed_at": "2026-03-03T09:59:54.317Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/electricity-bill-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
